[SPARK-6219] Reuse pep8.py

Per the discussion in the comments on [this commit](f17d43b033 (commitcomment-10780649)), this PR allows the Python lint script to reuse `pep8.py` when possible.

Author: Nicholas Chammas <nicholas.chammas@gmail.com>

Closes #5561 from nchammas/save-dem-pep8-bytes and squashes the following commits:

b7c91e6 [Nicholas Chammas] reuse pep8.py
This commit is contained in:
Nicholas Chammas 2015-04-18 16:46:28 -07:00 committed by Josh Rosen
parent 327ebf0cb5
commit 28683b4df5
2 changed files with 12 additions and 10 deletions

1
dev/.gitignore vendored Normal file
View file

@ -0,0 +1 @@
pep8*.py

View file

@ -32,18 +32,19 @@ compile_status="${PIPESTATUS[0]}"
#+ See: https://github.com/apache/spark/pull/1744#issuecomment-50982162
#+ TODOs:
#+ - Download pep8 from PyPI. It's more "official".
PEP8_SCRIPT_PATH="$SPARK_ROOT_DIR/dev/pep8.py"
PEP8_SCRIPT_REMOTE_PATH="https://raw.githubusercontent.com/jcrocholl/pep8/1.6.2/pep8.py"
PEP8_VERSION="1.6.2"
PEP8_SCRIPT_PATH="$SPARK_ROOT_DIR/dev/pep8-$PEP8_VERSION.py"
PEP8_SCRIPT_REMOTE_PATH="https://raw.githubusercontent.com/jcrocholl/pep8/$PEP8_VERSION/pep8.py"
# if [ ! -e "$PEP8_SCRIPT_PATH" ]; then
curl --silent -o "$PEP8_SCRIPT_PATH" "$PEP8_SCRIPT_REMOTE_PATH"
curl_status="$?"
if [ ! -e "$PEP8_SCRIPT_PATH" ]; then
curl --silent -o "$PEP8_SCRIPT_PATH" "$PEP8_SCRIPT_REMOTE_PATH"
curl_status="$?"
if [ "$curl_status" -ne 0 ]; then
echo "Failed to download pep8.py from \"$PEP8_SCRIPT_REMOTE_PATH\"."
exit "$curl_status"
if [ "$curl_status" -ne 0 ]; then
echo "Failed to download pep8.py from \"$PEP8_SCRIPT_REMOTE_PATH\"."
exit "$curl_status"
fi
fi
# fi
# There is no need to write this output to a file
#+ first, but we do so so that the check status can
@ -65,7 +66,7 @@ else
echo "Python lint checks passed."
fi
rm "$PEP8_SCRIPT_PATH"
# rm "$PEP8_SCRIPT_PATH"
rm "$PYTHON_LINT_REPORT_PATH"
exit "$lint_status"